## regenmaschine 2024.3.0

=== .github/workflows/requirements.txt ===
poetry==1.8.2

=== debian/changelog ===
regenmaschine (2024.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Sep 2024 09:20:28 +0100

regenmaschine (2024.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079563)

 -- Edward Betts <edward@4angle.com>  Sat, 24 Aug 2024 16:38:04 +0100

=== debian/control ===
Source: regenmaschine
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bachya/regenmaschine
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/regenmaschine
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/regenmaschine.git

Package: python3-regenmaschine
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with RainMachine smart Wi-Fi sprinkler controllers
 This library provides an interface to manage RainMachine smart Wi-Fi sprinkler
 controllers over a local LAN or remotely through the RainMachine cloud. Users
 can control watering activities, monitor zones, manage programs, and access
 various diagnostic information. The library supports functionalities such as
 starting and stopping zones, enabling and disabling programs, adjusting run
 times, and handling weather data inputs.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/regenmaschine-$1\.tar\.gz/ \
  https://github.com/bachya/regenmaschine/tags .*/v?(\d\S+)\.tar\.gz
